
PENGADIAN EMAS - Bug #14763

iOS[EMAS][DASHBOARD][No KTP] The flow is incorrect for no ktp

14 November 2022 03:36 PM - hsulynn pang

Status: Closed Start date: 14 November 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: uatuiux08 (password: Mbi1234567)

steps:

(1) login

(2) verify the dashboard slide to Investasi & Ansuransi

(3) click + button

(4) click Beli Emas via Pegadaian

(5) click Lanjut button at Beli Emas description screen

(6) verify the description

Actual result: There is no message popup 'Mohon Maaf KTP Anda tidak terdaftar'

Expected result: The message is displayed

History

#1 - 14 November 2022 03:37 PM - hsulynn pang

Attached response for the reference

{

"responseMessage" : "ok",

"responseData" : {

"customerInfo" : {

"cif" : "0006247673",

"iDNumber" : "",

"mailCity" : "",

"userTacPhone" : "084000000001",

"mailAddressPhone" : "021-25536288",

"noRek" : null,

"birthPlace" : "",

"mailProvince" : "DKI Jakarta Raya",

"selfieImage" : null,

"birthDate" : "02-11-2002",

"iDType" : "",

"mailAddress5" : "",

"mailAddress4" : "",

"mibCif" : null,

"mailPostCd" : "12930",

"emailAddress" : "m2u.revamp5@maylab.net",

"mailAddress3" : "JL.JEND.SUDIRMAN",

"iDExpiredDate" : "Seumur Hidup",

"mailAddress2" : "#003A KAWASAN BISNIS GRANADHA",

"pdgCif" : null,

"gender" : "",

"mailAddress1" : "THE PLAZA SEMANGGI L12A #003",

"motherName" : "",

"ktpImage" : null,

"gcif" : "G502390081",

"kewarganegaraan" : null,

"fullName" : "HARVESTINDO ASSET MANAGEMEN PT",

"userId" : 3767

}

},

"responseCode" : "00"

}
#2 - 14 November 2022 09:18 PM - salim wijaya

- Status changed from New to Resolved

- Assignee changed from salim wijaya to hsulynn pang

#3 - 16 November 2022 11:15 AM - hsulynn pang

- File retest 14763 (2).PNG added

- File retest 14763 (1).PNG added

- Status changed from Resolved to Closed

Tested ok

Files

IMG_2220.MOV 652 KB 14 November 2022 hsulynn pang

expected result.PNG 42.5 KB 14 November 2022 hsulynn pang

retest 14763 (2).PNG 789 KB 16 November 2022 hsulynn pang

retest 14763 (1).PNG 807 KB 16 November 2022 hsulynn pang
